# $Id: 01_simple.t,v 1.2 2006/09/13 08:23:54 pythontech Exp $
use strict;
use Test::More tests => 7;

use PythonTech::Cfw;
use Data::Dumper;

use lib 't/lib';

cfwset(abc => 123,
       def => [4, 5],
       ghi => {
	   jkl => "Hallo",
       },
       mno => cfwobj('CfwTest',
		     pqr => 32),
       stu => [cfwref('def'), cfwref('ghi/jkl')],
       vwx => cfwobj('CfwTest',
		     pqr => ['y', cfwref('abc')]),
       );

is(cfw('abc'), 123, "scalar lookup");
is(Dumper(cfw('def')), Dumper([4, 5]), "lookup of array");
is(cfw('xxunknown'), undef, "undefined value");
is(cfw('ghi/jkl'), "Hallo", "multi-level lookup");
is(Dumper(cfw('stu')), Dumper([[4,5],"Hallo"]), "Complex with references");
is(Dumper(cfw('mno')), Dumper(bless {pqr=>32},'CfwTest'), "object instantiation");
is(Dumper(cfw('vwx')), Dumper(bless {pqr=>['y',123]},'CfwTest'), "object instantiation with ref args");

#-----------------------------------------------------------------------
package Cfw::Test;
sub new {
    my $class = shift;
    bless {@_}, $class;
}

1;
